﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.0.0 - config
-- Author : Meranannon - Discordia - Vol'jin (EU)
-- rev 5
----------------------------------------------------------------------------------------------------

DF_namespace.anchor={}

DF_namespace.lock=true
DF_namespace.configmode=false
DF_namespace.currentTime=GetTime()
DF_namespace.playerId = nil
DF_namespace.playerClass = nil
DF_namespace.playerLevel = nil

DF_namespace.configToLoad = nil

DF_namespace.environnement = getfenv(0)

DF_namespace.newSpell={
	spellIDs="0",
	positionx=0,
	positiony=0,
	width=32,
	height=32,
	form={true,false,false,false,false,false,false},
	color={r=1,v=0,b=0,a=1},
	sType="Debuff",
	perso=false,
	combo=false,
	icon=true,
	timerbar=1,
	getUptime=false,
}

-- copy d'une table vers une autre
function DF_namespace:copyTable(source,destination)
	local function _copy(csource,cdestination)
		for index, value in pairs(csource) do
			if type(csource[index]) ~= "table" then
				cdestination[index]=csource[index]
			else
				if not cdestination[index] then
					cdestination[index]={}
				end
				_copy(csource[index],cdestination[index])
			end
		end
	end
	
	_copy(source,destination)
	
end

function DF_namespace:deepcopy(object)
    local lookup_table = {}
    local function _copy(object)
        if type(object) ~= "table" then
            return object
        elseif lookup_table[object] then
            return lookup_table[object]
        end
        local new_table = {}
        lookup_table[object] = new_table
        for index, value in pairs(object) do
            new_table[_copy(index)] = _copy(value)
        end
        return setmetatable(new_table, getmetatable(object))
    end
    return _copy(object)
end

	-- Compléte la configuration avec les variables qui seront ajoutées dans le future
function DF_namespace:completeTable(source)


	if not DF_config.icons.textsoffsets then
		DF_config.icons.textsoffsets = {
			{
				["offsetx"] = 1,
				["offsety"] = 0,
			},
			{
				["offsetx"] = 0,
				["offsety"] = 2,
			}			
		}
	end

	if not DF_config.timerbar.textsoffsets then
		DF_config.timerbar.textsoffsets = {
			{
				["offsetx"] = 1,
				["offsety"] = 1,
			},
			{
				["offsetx"] = 0,
				["offsety"] = 1,
			}			
		}
	end

	if not DF_config.gps then
		DF_config.gps = {
			["positiony"] = 100,
			["enable"] = true,
			["positionx"] = 100,
			["width"] = "48",
			["level"] = 10,
			["mode"] = "BLEND",
			["height"] = "36",
			["alpha"] = 1,			
		}
	end

	if not DF_config.gps.fontPath then
		DF_config.gps.fontPath="Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf"
	end
		if not DF_config.gps.fontSize then
		DF_config.gps.fontSize=16
	end
	if not DF_config.gps.offsetx then
		DF_config.gps.offsetx=0
	end
	if not DF_config.gps.offsety then
		DF_config.gps.offsety=-22
	end
	
	if not DF_config.gps.textColor then
		DF_config.gps.textColor={
			["a"] = 1,
			["r"] = 1,
			["v"] = 1,
			["b"] = 1,
		}
	end	

	if not DF_config.powerbar.arrows then
		DF_config.powerbar.arrows={33983,5221,80,0}
	end
	
	if not DF_config.ooc.speed then
		DF_config.ooc.speed=0.15
	end
	
	nbSpells = getn(DF_config.spells)
	for i = 1,nbSpells do
		
		if not DF_config.spells[i].strongcheck then
			DF_config.spells[i].strongcheck=false
		end
		
	end
	
	if not DF_config.combo.ptype then
		DF_config.combo.ptype=1
	end
	
	if not DF_config.combo.rayon then
		DF_config.combo.rayon=128
	end	

	if not DF_config.combo.angleA then
		DF_config.combo.angleA=0
	end	

	if not DF_config.combo.angleB then
		DF_config.combo.angleB=90
	end	
	
	if not DF_config.anchor6 then
		DF_config.anchor6= {
			["visible"] = true,
			["positiony"] = 200,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 200,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		}
	end
	
end

function DF_namespace:configSaved(name)
	local nbConf=getn(DF_saved_configs)
	for i = 1,nbConf do
		if DF_saved_configs[i].configname==name then
			return i
		end
	end
	
	return 0
	
end

function DF_namespace:configBuildin(name)
	local nbConf=getn(DF_pred_configs)
	for i = 1,nbConf do
		if DF_pred_configs[i].configname==name then
			return i
		end
	end
	
	return 0
	
end

function DF_namespace:config_Save(name)
	
	if not name then name=DF_config.configname end
	
	conf = DF_namespace:configSaved(name)

	if conf==0 then
		conf=getn(DF_saved_configs)+1
		DF_saved_configs[conf] = {}
	end

	DF_saved_configs[conf] = DF_namespace:deepcopy(DF_config)
	DF_saved_configs[conf].configname=name

	DF_namespace:options_SavedconfigLists()
	
	DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["saved"]..name)
end

function DF_namespace:config_Load(name)
	
	if not name then name=DF_namespace.configToLoad end
	
	if string.find(name, "BuildIn") then
		conf = DF_namespace:configBuildin(name)
		if conf~=0 then
			while getn(DF_config.spells)>getn(DF_pred_configs[conf].spells) do
				table.remove(DF_config.spells,getn(DF_config.spells))
			end
	
			DF_namespace:options_hide()
	
			DF_namespace:copyTable(DF_pred_configs[conf],DF_config)
			DF_namespace:completeTable(DF_config)
			
			DF_namespace:init_frames()
			DF_namespace:toggle_toggle()
			DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["loaded"]..DF_config.configname)
			
			DF_namespace:options_hide("DFOPTIONSelement");DF_namespace:options_show("DFOPTIONSelement")
			
			DF_namespace.environnement["confignamebox"]:Hide()
			DF_namespace.environnement["confignamebox"]:Show()		
	
			return
		end
	else
		conf = DF_namespace:configSaved(name)
		if conf~=0 then
			
			while getn(DF_config.spells)>getn(DF_saved_configs[conf].spells) do
				table.remove(DF_config.spells,getn(DF_config.spells))
			end
			
			DF_namespace:options_hide()
			
			DF_namespace:copyTable(DF_saved_configs[conf],DF_config)
			DF_namespace:completeTable(DF_config)
			
			DF_namespace:init_frames()
			DF_namespace:toggle_toggle()
			DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["loaded"]..DF_config.configname)
			
			DF_namespace:options_hide("DFOPTIONSelement");DF_namespace:options_show("DFOPTIONSelement")
			
			DF_namespace.environnement["confignamebox"]:Hide()
			DF_namespace.environnement["confignamebox"]:Show()		
			
			return
		end
	end
	
end

function DF_namespace:config_Reset()
	DF_namespace:copyTable(DF_pred_configs[1],DF_config)
	DF_namespace:completeTable(DF_config)
	DF_namespace:init_frames()
	DF_namespace:toggle_toggle()
	DF_namespace.environnement["confignamebox"]:Hide()
	DF_namespace.environnement["confignamebox"]:Show()
	DF_namespace.environnement["dfcombat"]:Hide()
	DF_namespace.environnement["dfcombat"]:Show()
	DEFAULT_CHAT_FRAME:AddMessage(DF_namespace.locale["reset"])
	
end

--
-- configurations prédéfinies
--

DF_pred_configs = {
	{
		["configversion"] = "400",
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "64",
			["mode"] = "BLEND",
			["positiony"] = -31.6851857576691,
			["enable"] = true,
			["positionx"] = 34,
			["level"] = 2,
			["width"] = "64",
		},
		["combo"] = {
			["angleB"] = 305,
			["offsety"] = 0,
			["positiony"] = -51.37939145623099,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 174,
			["width"] = 20,
			["positionx"] = 52.97583875375148,
			["ptype"] = 2,
			["rayon"] = 37,
			["offsetx"] = 19,
			["height"] = 20,
			["mode"] = "BLEND",
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo2.tga",
			["level"] = 5,
		},
		["powerbar"] = {
			["fontSize"] = 10,
			["positiony"] = "-43.25",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textx"] = -4,
			["positionx"] = "99",
			["textAlign"] = "RIGHT",
			["height"] = "18",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = "119",
			["showText"] = true,
			["enableArrows"] = true,
			["orientation"] = "HORIZONTAL",
			["texty"] = -1.5,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 237.75,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 588.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 8,
			["positiony"] = "-61.5",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "CENTER",
			["width"] = "119",
			["textx"] = 0,
			["positionx"] = "99",
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["texty"] = -0.5,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["infos"] = {
			["fontSize"] = 12,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 3,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cooldown"] = {
			["offsety"] = -44,
			["positiony"] = -36.99996893107937,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 44,
			["positionx"] = 216.0000196695325,
			["height"] = 44,
			["mode"] = "BLEND",
			["level"] = 5,
			["offsetx"] = 0,
		},
		["configname"] = "(BuildIn) WoW",
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 191.0000009685755,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["positionx"] = 302.0000031292438,
			["offsetx"] = 0,
			["height"] = "36",
			["level"] = 10,
			["mode"] = "BLEND",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = false,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showSpark"] = true,
			["borderSize"] = 1,
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["font1Size"] = 10,
			["timeline"] = 14,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["activeAlpha"] = 1,
			["width"] = "180",
			["font2Size"] = 15,
			["height"] = "20",
			["border"] = true,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 287,
			["scale"] = 1.200000047683716,
			["width"] = "256",
			["info"] = "UI",
			["positionx"] = 326.25,
			["height"] = "128",
			["level"] = 4,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\UI_texture1.tga",
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["level"] = 2,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 353.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 142.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "RIGHT",
			["width"] = 192,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["positionx"] = 8,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["texty"] = 1,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "52610",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					52610, -- [1]
				},
				["sType"] = "Buff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [1]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "16857;770;33602",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [2]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4117647058823529,
					["b"] = 0,
				},
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "33983;33987;46854",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 35.97300000000178,
				["perso"] = false,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [3]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1822",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					1822, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 18.06599999999889,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [4]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["timerbar"] = 1,
				["combo"] = true,
				["spellIDs"] = "33745",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = true,
			}, -- [5]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1079",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 14.08799999999974,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [6]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4470588235294117,
					["b"] = 0,
				},
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "99;25203",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [7]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5529411764705883,
				},
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					50334, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = true,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "22812",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					22812, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 11.98699999999735,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [10]
		},
		["icons"] = {
			["fontSize"] = 11,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
			},
			["automatic"] = true,
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 30,
			["colonne"] = 5,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = true,
			["height"] = 30,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.8,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = 232.5,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 172.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -37,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "512",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["height"] = "128",
			["scaleMax"] = 0.1000000014901161,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["speed"] = 0.1299999952316284,
			["positionx"] = 120,
			["level"] = 6,
			["mode"] = "ADD",
		},
		["alignToGrid"] = true,
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 429.25,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 197.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 193,
			["scale"] = 1.149999976158142,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 433.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -73.75,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["positionx"] = "99",
			["width"] = "119",
			["textx"] = 1.5,
			["textAlign"] = "LEFT",
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = -30.99271899703874,
			["enable"] = true,
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["width"] = "64",
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["height"] = "64",
			["positionx"] = 35.21524791797145,
			["mode"] = "BLEND",
			["level"] = 5,
		},
		["inCombat"] = true,
	}, -- [1]
	{
		["configversion"] = "400",
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "64",
			["mode"] = "BLEND",
			["positiony"] = -31.6851857576691,
			["enable"] = true,
			["positionx"] = 34,
			["level"] = 2,
			["width"] = "64",
		},
		["combo"] = {
			["angleB"] = 2,
			["offsety"] = 0,
			["positiony"] = -8.089675782774748,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 37,
			["width"] = 22,
			["positionx"] = 76.03359109113228,
			["ptype"] = 2,
			["rayon"] = 157,
			["offsetx"] = 19,
			["height"] = 22,
			["mode"] = "BLEND",
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo2.tga",
			["level"] = 5,
		},
		["powerbar"] = {
			["fontSize"] = 10,
			["positiony"] = "-43.25",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textx"] = -5.5,
			["positionx"] = "99",
			["textAlign"] = "RIGHT",
			["height"] = "18",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = "119",
			["showText"] = true,
			["enableArrows"] = true,
			["orientation"] = "HORIZONTAL",
			["texty"] = 0,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 216,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 316.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 8,
			["positiony"] = "-61.5",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "CENTER",
			["width"] = "119",
			["textx"] = 0,
			["positionx"] = "99",
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["infos"] = {
			["fontSize"] = 12,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 3,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cooldown"] = {
			["offsety"] = -32,
			["positiony"] = -45.34814293332622,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 32,
			["positionx"] = -21.087482406927,
			["height"] = 32,
			["mode"] = "BLEND",
			["level"] = 5,
			["offsetx"] = 0,
		},
		["configname"] = "(BuildIn) WoW v2",
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 187.9999704957013,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["positionx"] = 303.9999725818638,
			["offsetx"] = 0,
			["height"] = "36",
			["level"] = 10,
			["mode"] = "BLEND",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = false,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showSpark"] = true,
			["borderSize"] = 1,
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["font1Size"] = 10,
			["timeline"] = 14,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["activeAlpha"] = 1,
			["width"] = "180",
			["font2Size"] = 15,
			["height"] = "20",
			["border"] = true,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 273,
			["scale"] = 1.149999976158142,
			["width"] = "256",
			["info"] = "UI",
			["positionx"] = 336.75,
			["height"] = "128",
			["level"] = 4,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\UI_texture2.tga",
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["level"] = 2,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 397.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 100.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "RIGHT",
			["width"] = 192,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["positionx"] = 8,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["texty"] = 1,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "52610",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					52610, -- [1]
				},
				["sType"] = "Buff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [1]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "16857;770;33602",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [2]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4117647058823529,
					["b"] = 0,
				},
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "33983;33987;46854",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 35.97300000000178,
				["perso"] = false,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [3]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1822",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					1822, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 18.06599999999889,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [4]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["timerbar"] = 1,
				["combo"] = true,
				["spellIDs"] = "33745",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = true,
			}, -- [5]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1079",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 14.08799999999974,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [6]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4470588235294117,
					["b"] = 0,
				},
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "99;25203",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [7]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.5529411764705883,
				},
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					50334, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = true,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "22812",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					22812, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 11.98699999999735,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [10]
		},
		["icons"] = {
			["fontSize"] = 11,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
			},
			["automatic"] = true,
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 30,
			["colonne"] = 5,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = true,
			["height"] = 30,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.8,
		},
		["anchor4"] = {
			["visible"] = true,
			["positiony"] = 281,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 129.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -55.94141839648199,
			["enable"] = true,
			["scaleMin"] = 0.699999988079071,
			["width"] = "256",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["height"] = "256",
			["scaleMax"] = 0.2000000029802322,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["speed"] = 0.04999999701976776,
			["positionx"] = 13.12168394550059,
			["level"] = 6,
			["mode"] = "ADD",
		},
		["alignToGrid"] = true,
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 184.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 117.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 268.25,
			["scale"] = 0.949999988079071,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 440.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = "-73",
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 0,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar2.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["positionx"] = "99",
			["width"] = "119",
			["textx"] = 3,
			["textAlign"] = "LEFT",
			["showText"] = true,
			["height"] = "10",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = -52.73155375681273,
			["enable"] = true,
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["width"] = "28",
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["height"] = "28",
			["positionx"] = 13.47612207799284,
			["mode"] = "BLEND",
			["level"] = 5,
		},
		["inCombat"] = true,
	}, -- [2]
	{
		["configversion"] = "400",
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "48",
			["mode"] = "ADD",
			["positiony"] = 0,
			["enable"] = true,
			["positionx"] = 1.72,
			["level"] = 5,
			["width"] = "48",
		},
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = -20,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 51.66293145777689,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["mode"] = "BLEND",
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["level"] = 3,
		},
		["powerbar"] = {
			["fontSize"] = 15,
			["positiony"] = "-18.5",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 1,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textx"] = -3.5,
			["positionx"] = "10",
			["textAlign"] = "BOTTOMRIGHT",
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["enableArrows"] = true,
			["orientation"] = "HORIZONTAL",
			["texty"] = 2,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 256,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 612.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = -6,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "CENTER",
			["width"] = 192,
			["textx"] = 0,
			["positionx"] = 10,
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1.5,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cooldown"] = {
			["offsety"] = -52,
			["positiony"] = -1.000137314198355,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 50,
			["positionx"] = 199.9999970197678,
			["height"] = 50,
			["mode"] = "BLEND",
			["level"] = 5,
			["offsetx"] = 0,
		},
		["configname"] = "(BuildIn) Statusbars",
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 208.9998786300439,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["positionx"] = 355.9999794363978,
			["offsetx"] = 0,
			["height"] = "36",
			["level"] = 10,
			["mode"] = "BLEND",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = true,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showSpark"] = true,
			["borderSize"] = 1,
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["font1Size"] = 10,
			["timeline"] = 14,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["activeAlpha"] = 1,
			["width"] = 192,
			["font2Size"] = 18,
			["height"] = "20",
			["border"] = true,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 257.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = 411,
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["level"] = 2,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 211,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = "413",
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "RIGHT",
			["width"] = 192,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["positionx"] = 8,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["texty"] = 1,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "52610",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					52610, -- [1]
				},
				["sType"] = "Buff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [1]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "16857;770;33602",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 3.670999999998458,
				["perso"] = false,
				["getUptime"] = false,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [2]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4117647058823529,
					["b"] = 0,
				},
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "33983;33987;46854",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 43.46899999999732,
				["perso"] = false,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [3]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1822",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					1822, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 21.8269999999975,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [4]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["timerbar"] = 1,
				["combo"] = true,
				["spellIDs"] = "33745",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = true,
			}, -- [5]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1079",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 13.02399999999761,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [6]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4470588235294117,
					["b"] = 0,
				},
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "99;25203",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 1.616000000001804,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [7]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.1411764705882353,
				},
				["names"] = {
					"Sonner", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Sonner",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "5211",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					5211, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 7.221000000001368,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5529411764705883,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = true,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [10]
			{
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["timerbar"] = 2,
				["icon"] = false,
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					22812, -- [1]
				},
				["getUptime"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["sType"] = "Buff",
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [11]
		},
		["icons"] = {
			["fontSize"] = 11,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
			},
			["automatic"] = true,
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 32,
			["colonne"] = 8,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = false,
			["height"] = 32,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = false,
			["positiony"] = 314.25,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 152.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -6,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["height"] = "150",
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["speed"] = 0.09999999403953552,
			["positionx"] = 72,
			["level"] = 10,
			["mode"] = "ADD",
		},
		["alignToGrid"] = true,
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 263.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 679.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 377.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 149.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -49.5,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["positionx"] = "10",
			["width"] = 192,
			["textx"] = -7,
			["textAlign"] = "RIGHT",
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 51.00009842216821,
			["enable"] = true,
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["width"] = "64",
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["height"] = "64",
			["positionx"] = 73.99997600913082,
			["mode"] = "BLEND",
			["level"] = 5,
		},
		["inCombat"] = true,
	}, -- [3]
	{
		["configversion"] = "400",
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "48",
			["mode"] = "ADD",
			["positiony"] = 0,
			["enable"] = true,
			["positionx"] = 1.72,
			["level"] = 5,
			["width"] = "48",
		},
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = -20,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 51.66293145777689,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["mode"] = "BLEND",
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["level"] = 3,
		},
		["powerbar"] = {
			["fontSize"] = 15,
			["positiony"] = "-18.5",
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 1,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textx"] = -3.5,
			["positionx"] = "10",
			["textAlign"] = "BOTTOMRIGHT",
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["enableArrows"] = true,
			["orientation"] = "HORIZONTAL",
			["texty"] = 2,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 255.5,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 611.5,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = -6,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "CENTER",
			["width"] = 192,
			["textx"] = 0,
			["positionx"] = 10,
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1.5,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cooldown"] = {
			["offsety"] = -52,
			["positiony"] = -1.000137314198355,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 50,
			["positionx"] = 199.9999970197678,
			["height"] = 50,
			["mode"] = "BLEND",
			["level"] = 5,
			["offsetx"] = 0,
		},
		["configname"] = "(BuildIn) Statusbars v2",
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 208.9998786300439,
			["enable"] = true,
			["alpha"] = 1,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["positionx"] = 355.9999794363978,
			["offsetx"] = 0,
			["height"] = "36",
			["level"] = 10,
			["mode"] = "BLEND",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showSpark"] = true,
			["borderSize"] = 1,
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["font1Size"] = 10,
			["timeline"] = 14,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["activeAlpha"] = 1,
			["width"] = 192,
			["font2Size"] = 18,
			["height"] = "20",
			["border"] = true,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 257.5,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = 411,
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["level"] = 2,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 367,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 152.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "RIGHT",
			["width"] = 192,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["positionx"] = 8,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["texty"] = 1,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "52610",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					52610, -- [1]
				},
				["sType"] = "Buff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [1]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "16857;770;33602",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 3.670999999998458,
				["perso"] = false,
				["getUptime"] = false,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [2]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4117647058823529,
					["b"] = 0,
				},
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "33983;33987;46854",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 43.46899999999732,
				["perso"] = false,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [3]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1822",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					1822, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 21.8269999999975,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [4]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["timerbar"] = 1,
				["combo"] = true,
				["spellIDs"] = "33745",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = true,
			}, -- [5]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1079",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 13.02399999999761,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [6]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4470588235294117,
					["b"] = 0,
				},
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "99;25203",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 1.616000000001804,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [7]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.1411764705882353,
				},
				["names"] = {
					"Sonner", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Sonner",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "5211",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					5211, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 7.221000000001368,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5529411764705883,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = true,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [10]
			{
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["timerbar"] = 2,
				["icon"] = false,
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					22812, -- [1]
				},
				["getUptime"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["sType"] = "Buff",
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [11]
		},
		["icons"] = {
			["fontSize"] = 13,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
			},
			["automatic"] = true,
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 37,
			["colonne"] = 8,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = true,
			["height"] = 37,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = false,
			["positiony"] = 314.25,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 152.75,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = -8,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["height"] = "150",
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["speed"] = 0.09999999403953552,
			["positionx"] = 68,
			["level"] = 10,
			["mode"] = "ADD",
		},
		["alignToGrid"] = true,
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 263.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 679.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 208,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 412,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = -49.5,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["positionx"] = "10",
			["width"] = 192,
			["textx"] = -7,
			["textAlign"] = "RIGHT",
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1,
			["enable"] = true,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 51.00009842216821,
			["enable"] = true,
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["width"] = "64",
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["height"] = "64",
			["positionx"] = 73.99997600913082,
			["mode"] = "BLEND",
			["level"] = 5,
		},
		["inCombat"] = true,
	}, -- [4]
	{
		["configversion"] = "400",
		["portrait"] = {
			["textures"] = {
				"Interface\\AddOns\\DroodFocus\\datas\\empty.tga", -- [1]
				"Interface\\AddOns\\DroodFocus\\datas\\bearform.tga", -- [2]
				"Interface\\AddOns\\DroodFocus\\datas\\aquaform.tga", -- [3]
				"Interface\\AddOns\\DroodFocus\\datas\\catform.tga", -- [4]
				"Interface\\AddOns\\DroodFocus\\datas\\travelform.tga", -- [5]
				"Interface\\AddOns\\DroodFocus\\datas\\moonkinform.tga", -- [6]
				"Interface\\AddOns\\DroodFocus\\datas\\flightform.tga", -- [7]
			},
			["height"] = "64",
			["mode"] = "ADD",
			["positiony"] = 80.48189043280644,
			["enable"] = false,
			["positionx"] = -166.824681657185,
			["level"] = 5,
			["width"] = "64",
		},
		["combo"] = {
			["angleB"] = 183,
			["offsety"] = 0,
			["positiony"] = -21,
			["enable"] = true,
			["form"] = {
				false, -- [1]
				true, -- [2]
				false, -- [3]
				true, -- [4]
				false, -- [5]
				false, -- [6]
				false, -- [7]
			},
			["angleA"] = 288,
			["width"] = 20,
			["positionx"] = 9,
			["ptype"] = 1,
			["rayon"] = 37,
			["offsetx"] = 20,
			["height"] = 20,
			["mode"] = "BLEND",
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\combo.tga",
			["level"] = 3,
		},
		["powerbar"] = {
			["fontSize"] = 15,
			["positiony"] = -18.25,
			["enable"] = true,
			["showSpark"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 1,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorDef"] = {
				["a"] = 1,
				["r"] = 0.5,
				["v"] = 0.5,
				["b"] = 0.5,
			},
			["textx"] = -3.5,
			["positionx"] = 10.25,
			["textAlign"] = "BOTTOMRIGHT",
			["height"] = 32,
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["border"] = true,
			["colorMana"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["colorRage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["arrows"] = {
				33983, -- [1]
				5221, -- [2]
				80, -- [3]
				0, -- [4]
			},
			["width"] = 192,
			["showText"] = true,
			["enableArrows"] = true,
			["orientation"] = "HORIZONTAL",
			["texty"] = 2,
			["colorNrj"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor6"] = {
			["visible"] = true,
			["positiony"] = 272.5,
			["scale"] = 1,
			["width"] = "32",
			["info"] = "CD",
			["positionx"] = 612.75,
			["height"] = "32",
			["level"] = 10,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["gridSizeX"] = 0.25,
		["targetbar"] = {
			["fontSize"] = 11,
			["positiony"] = 218.75,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.75,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "CENTER",
			["width"] = 192,
			["textx"] = 0,
			["positionx"] = -242.75,
			["showText"] = true,
			["height"] = "13",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1.5,
			["enable"] = false,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cursorspeed"] = 30,
		["infos"] = {
			["fontSize"] = 10,
			["enable"] = false,
			["infolines"] = "PowerAttack: #meleeAP*Crit: #meleeCrit*Haste: #meleeHaste*ArPen: #armPen",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_typewriter.ttf",
			["level"] = 20,
			["backColor"] = {
				["a"] = 0,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["textColor"] = {
				["a"] = 0.4600000381469727,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["cooldown"] = {
			["offsety"] = -52,
			["positiony"] = -5.646686469812892,
			["enable"] = true,
			["alpha"] = 0.75,
			["width"] = 50,
			["positionx"] = 202.7081650091981,
			["height"] = 50,
			["mode"] = "BLEND",
			["level"] = 5,
			["offsetx"] = 0,
		},
		["configname"] = "(BuildIn) Compact",
		["gps"] = {
			["fontSize"] = 16,
			["offsety"] = -22,
			["positiony"] = 224.0000309944148,
			["enable"] = true,
			["alpha"] = 0.7,
			["width"] = "48",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["positionx"] = 352.9999871104957,
			["offsetx"] = 0,
			["height"] = "36",
			["level"] = 13,
			["mode"] = "BLEND",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["timerbar"] = {
			["orderByTime"] = true,
			["enable"] = false,
			["font1Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["showSpark"] = true,
			["borderSize"] = 1,
			["showTimeLine"] = true,
			["inactiveAlpha"] = 0.3,
			["level"] = 4,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["font2Path"] = "Interface\\AddOns\\DroodFocus\\datas\\font_digital.ttf",
			["font1Size"] = 10,
			["timeline"] = 14,
			["textsoffsets"] = {
				{
					["offsety"] = 1,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 1,
					["offsetx"] = 0,
				}, -- [2]
			},
			["activeAlpha"] = 1,
			["width"] = 192,
			["font2Size"] = 18,
			["height"] = "20",
			["border"] = true,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["gridSizeY"] = 0.25,
		["anchor1"] = {
			["visible"] = true,
			["positiony"] = 278.25,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "UI",
			["positionx"] = "411",
			["height"] = 32,
			["level"] = 1,
			["mode"] = "BLEND",
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["timelines"] = {
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
			["enable"] = true,
			["activeAlpha"] = 0.1,
			["width"] = 1,
		},
		["healthbar"] = {
			["fontSize"] = 12,
			["positiony"] = 40,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["colorBad"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["colorAverage"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0.5,
				["b"] = 0,
			},
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textx"] = -7,
			["colorGood"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 1,
				["b"] = 0,
			},
			["width"] = 192,
			["positionx"] = 8,
			["height"] = 18,
			["showText"] = true,
			["texty"] = 1,
			["orientation"] = "HORIZONTAL",
			["textAlign"] = "RIGHT",
			["level"] = 2,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["anchor3"] = {
			["visible"] = true,
			["positiony"] = 433,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "TIMERBARS 1",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 238.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["manabar"] = {
			["fontSize"] = 12,
			["positiony"] = 140,
			["enable"] = false,
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 2,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textAlign"] = "RIGHT",
			["width"] = 192,
			["color"] = {
				["r"] = 0,
				["v"] = 0,
				["b"] = 1,
			},
			["positionx"] = 8,
			["showText"] = true,
			["orientation"] = "HORIZONTAL",
			["height"] = 18,
			["texty"] = 1,
			["textx"] = -7,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["spells"] = {
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.2078431372549019,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Rugissement sauvage", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement sauvage",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "52610",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					52610, -- [1]
				},
				["sType"] = "Buff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [1]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 1,
					["r"] = 0.9803921568627451,
				},
				["names"] = {
					"Lucioles (farouche)", -- [1]
					"Lucioles", -- [2]
					"Lucioles améliorées", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lucioles (farouche)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "16857;770;33602",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					16857, -- [1]
					770, -- [2]
					33602, -- [3]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 3.670999999998458,
				["perso"] = false,
				["getUptime"] = false,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [2]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4117647058823529,
					["b"] = 0,
				},
				["names"] = {
					"Mutilation (félin)", -- [1]
					"Mutilation (ours)", -- [2]
					"Traumatisme", -- [3]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Mutilation (félin)",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "33983;33987;46854",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					33983, -- [1]
					33987, -- [2]
					46854, -- [3]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 43.46899999999732,
				["perso"] = false,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [3]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Griffure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Griffure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1822",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					1822, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 21.8269999999975,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [4]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0,
					["b"] = 0,
				},
				["names"] = {
					"Lacérer", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Lacérer",
				["timerbar"] = 1,
				["combo"] = true,
				["spellIDs"] = "33745",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					33745, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = true,
				["getUptime"] = true,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["icon"] = true,
			}, -- [5]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0,
					["v"] = 0,
					["r"] = 1,
				},
				["names"] = {
					"Déchirure", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Déchirure",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "1079",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					1079, -- [1]
				},
				["sType"] = "Debuff",
				["form"] = {
					false, -- [1]
					false, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["getUptime"] = true,
				["abiUptime"] = 13.02399999999761,
				["perso"] = true,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [6]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 1,
					["v"] = 0.4470588235294117,
					["b"] = 0,
				},
				["names"] = {
					"Rugissement démoralisant", -- [1]
					"Cri démoralisant", -- [2]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Rugissement démoralisant",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "99;25203",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					99, -- [1]
					25203, -- [2]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 1.616000000001804,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [7]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["r"] = 0,
					["v"] = 1,
					["b"] = 0.1411764705882353,
				},
				["names"] = {
					"Sonner", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Sonner",
				["icon"] = true,
				["timerbar"] = 1,
				["spellIDs"] = "5211",
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					5211, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					false, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 7.221000000001368,
				["perso"] = true,
				["getUptime"] = false,
				["sType"] = "Debuff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [8]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5529411764705883,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Berserk", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Berserk",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50334",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50334, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = true,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [9]
			{
				[""] = true,
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["positiony"] = 0,
				["color"] = {
					["a"] = 1,
					["b"] = 0.5764705882352941,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Fureur du tigre", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Fureur du tigre",
				["icon"] = false,
				["timerbar"] = 2,
				["spellIDs"] = "50213",
				["abiAlphaPulse"] = 0,
				["abiUpTime"] = 0,
				["ids"] = {
					50213, -- [1]
				},
				["height"] = 32,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["width"] = 32,
				["abiTimeLeft"] = 0,
				["abiUptime"] = 0,
				["perso"] = false,
				["getUptime"] = false,
				["sType"] = "Buff",
				["positionx"] = 0,
				["abiStart"] = 0,
				["combo"] = false,
			}, -- [10]
			{
				["spellIDs"] = "22812",
				["abiStack"] = 0,
				["abiDuration"] = 0,
				["combo"] = false,
				["color"] = {
					["a"] = 1,
					["b"] = 0.6039215686274509,
					["v"] = 1,
					["r"] = 0,
				},
				["names"] = {
					"Ecorce", -- [1]
				},
				["abiCD"] = 0,
				["abiOldTimeLeft"] = 0,
				["abiSpelltext"] = "Ecorce",
				["timerbar"] = 2,
				["icon"] = false,
				["abiAlphaPulse"] = 0,
				["width"] = 32,
				["ids"] = {
					22812, -- [1]
				},
				["getUptime"] = false,
				["form"] = {
					false, -- [1]
					true, -- [2]
					false, -- [3]
					true, -- [4]
					false, -- [5]
					false, -- [6]
					false, -- [7]
				},
				["strongcheck"] = false,
				["abiUpTime"] = 0,
				["sType"] = "Buff",
				["abiUptime"] = 0,
				["perso"] = false,
				["abiTimeLeft"] = 0,
				["height"] = 32,
				["positionx"] = 0,
				["abiStart"] = 0,
				["positiony"] = 0,
			}, -- [11]
		},
		["icons"] = {
			["fontSize"] = 13,
			["orderByTime"] = true,
			["textsoffsets"] = {
				{
					["offsety"] = 0,
					["offsetx"] = 1,
				}, -- [1]
				{
					["offsety"] = 2,
					["offsetx"] = 0,
				}, -- [2]
			},
			["automatic"] = true,
			["level"] = 10,
			["activeAlpha"] = 1,
			["width"] = 37,
			["colonne"] = 8,
			["speed"] = 4,
			["inactiveAlpha"] = 0.300000011920929,
			["enable"] = true,
			["height"] = 37,
			["mode"] = "BLEND",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["blood"] = {
			["persistence"] = 7,
			["enable"] = true,
			["mode"] = "BLEND",
			["level"] = 1,
			["size"] = 0.6,
		},
		["anchor4"] = {
			["visible"] = false,
			["positiony"] = 401.5,
			["scale"] = 0.699999988079071,
			["width"] = 32,
			["info"] = "TIMERBARS 2",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 238.25,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["ooc"] = {
			["spell"] = 12536,
			["positiony"] = 16,
			["enable"] = true,
			["scaleMin"] = 1,
			["width"] = "650",
			["textureOff"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
			["height"] = "150",
			["scaleMax"] = 0.1,
			["textureOn"] = "Interface\\AddOns\\DroodFocus\\datas\\ooc.tga",
			["speed"] = 0.09999999403953552,
			["positionx"] = 73,
			["level"] = 10,
			["mode"] = "ADD",
		},
		["alignToGrid"] = true,
		["anchor5"] = {
			["visible"] = true,
			["positiony"] = 266.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "INFOS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 247.5,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["anchor2"] = {
			["visible"] = true,
			["positiony"] = 233.75,
			["scale"] = 1,
			["width"] = 32,
			["info"] = "ICONS",
			["mode"] = "BLEND",
			["height"] = 32,
			["positionx"] = 412,
			["level"] = 1,
			["texture"] = "Interface\\AddOns\\DroodFocus\\datas\\empty.tga",
		},
		["threatbar"] = {
			["fontSize"] = 8,
			["positiony"] = 66,
			["color"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 0,
				["b"] = 0,
			},
			["border"] = true,
			["borderSize"] = 1,
			["borderColor"] = {
				["a"] = 1,
				["r"] = 0,
				["v"] = 0,
				["b"] = 0,
			},
			["level"] = 3,
			["texturePath"] = "Interface\\AddOns\\DroodFocus\\datas\\statusbar.tga",
			["fontPath"] = "Interface\\AddOns\\DroodFocus\\datas\\font.ttf",
			["positionx"] = -117.25,
			["width"] = 192,
			["textx"] = -7,
			["textAlign"] = "RIGHT",
			["showText"] = false,
			["height"] = "6",
			["orientation"] = "HORIZONTAL",
			["texty"] = 1,
			["enable"] = false,
			["textColor"] = {
				["a"] = 1,
				["r"] = 1,
				["v"] = 1,
				["b"] = 1,
			},
		},
		["alert"] = {
			["texture1"] = "Interface\\AddOns\\DroodFocus\\datas\\alertBehind.tga",
			["positiony"] = 38.18697932947816,
			["enable"] = true,
			["texture3"] = "Interface\\AddOns\\DroodFocus\\datas\\alertSkull.tga",
			["width"] = "64",
			["texture2"] = "Interface\\AddOns\\DroodFocus\\datas\\alertRange.tga",
			["height"] = "64",
			["positionx"] = 73.99974628334167,
			["mode"] = "BLEND",
			["level"] = 5,
		},
		["inCombat"] = true,
	}, -- [5]
}

DF_sharemedia = {
}
