﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.0.0 - gps
-- Meranannon - Discordia - Vol'jin (EU)
-- rev 1
----------------------------------------------------------------------------------------------------

local DF = DF_namespace

local frame=nil
local frameTexture=nil
local overlay=nil
local overlayTexture=nil
local frameText=nil

local degre=0
local cible=""

local posX=0
local posY=0
local TposX=0
local TposY=0
local distance=0

local deltax=(100/915)
local deltay=(100/1220)

-- initialisation frames
function DF:init_gps_frame()
	
	if not frame then
		
		-- cadre principal
		frame = CreateFrame("FRAME","DF_gps_FRAME",UIParent)
		frame:SetScript("OnMouseDown",function(self,button)
			if button=="LeftButton" then
	  			frame:StartMoving()
	  		elseif button=="RightButton" then
	  			DF:options_show("gps",frame)
	  		end
		end)
		frame:SetScript("OnMouseUp",function(self,button)
			if button=="LeftButton" then
		  		frame:StopMovingOrSizing()
		  		DF_config.gps.positionx = self:GetLeft()
		  		DF_config.gps.positiony = self:GetBottom()
		  		frame:ClearAllPoints()
		  		frame:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", DF_config.gps.positionx, DF_config.gps.positiony)
					DF.environnement["gpsleft"]:Hide()
					DF.environnement["gpstop"]:Hide()
					DF.environnement["gpsleft"]:Show()
					DF.environnement["gpstop"]:Show()
		  end
		end)	
		frame:SetScript("OnEnter",function(self,button)
			if DF.configmode then
				GameTooltip:SetOwner(UIParent, "ANCHOR_TOPLEFT ",16,-16)
				GameTooltip:ClearLines()
				GameTooltip:AddLine("DROODFOCUS GPS",1,1,0,nil)
				GameTooltip:AddLine(DF.locale["leftMB"],1,1,1,nil)
				GameTooltip:AddLine(DF.locale["rightMB"],1,1,1,nil)
				GameTooltip:Show()		
			end		
		end)		
		frame:SetScript("OnLeave",function(self,button)
			if DF.configmode then GameTooltip:Hide() end
		end)	
		
		-- cadre pour la texture
		overlay = CreateFrame("FRAME","DF_gps_OVERLAY",frame)
		
		-- la texture
		overlayTexture = overlay:CreateTexture(nil,"BACKGROUND")
		frameTexture = frame:CreateTexture(nil,"BACKGROUND")
		frameText = overlay:CreateFontString("DF_GPSTEXT","ARTWORK")
		frame:EnableMouse(false)	
	end

	local level = DF_config.gps.level*10

	-- paramétres cadre principal
	frame:SetMovable(true)
	frame:SetWidth(64)
	frame:SetHeight(64)
	frame:ClearAllPoints()
	frame:SetPoint("BOTTOMLEFT", UIParent, "BOTTOMLEFT", DF_config.gps.positionx, DF_config.gps.positiony)
	frame:SetFrameLevel(level)	
	
	-- paramétres texture
	frameTexture:SetTexCoord(0, 1, 0, 1)
	frameTexture:ClearAllPoints()
	frameTexture:SetAllPoints(frame)

	if DF.configmode then
		frameTexture:SetTexture(1,1,1,0.25)
	else
		frameTexture:SetTexture(1,1,1,0)
	end
		
	-- paramétres cadre texture
	overlay:SetMovable(false)
	overlay:EnableMouse(false)		
	overlay:SetWidth(DF_config.gps.width)
	overlay:SetHeight(DF_config.gps.height)
	overlay:SetPoint("CENTER", frame, "CENTER", 0, 0)
	overlay:SetFrameLevel(level+1)	
	overlay:SetAlpha(DF_config.gps.alpha)
	
	-- paramétres texture
	overlayTexture:SetTexCoord(0, deltax, 0, deltay)
	overlayTexture:SetBlendMode(DF_config.gps.mode)
	overlayTexture:ClearAllPoints()
	overlayTexture:SetAllPoints(overlay)
	overlayTexture:SetTexture("Interface\\Addons\\DroodFocus\\datas\\Arrow")
	
	-- place la texture dans le cadre
	overlay.texture = overlayTexture

	DF:MySetFont(frameText,DF_config.gps.fontPath,DF_config.gps.fontSize,"OUTLINE")
	frameText:SetNonSpaceWrap(true) 
	frameText:SetShadowColor(0, 0, 0, 0.75)
	frameText:SetShadowOffset(0.5, -0.5)
	frameText:SetTextColor(DF_config.gps.textColor.r, DF_config.gps.textColor.v, DF_config.gps.textColor.b, DF_config.gps.textColor.a)
	frameText:ClearAllPoints()
	frameText:SetPoint("CENTER", overlay,"CENTER", DF_config.gps.offsetx, DF_config.gps.offsety)
	frameText:SetText("")
	frameText:SetJustifyH("CENTER")

end

-- gestion de l'animation
function DF:gps_update()

	if (DF.configmode) then
		frameTexture:SetTexture(1,1,1,0.25)
	else
		frameTexture:SetTexture(1,1,1,0)
	end
		
	if not DF_config.gps.enable then
		overlay:Hide()
		return
	else
		overlay:Show()
	end

	if (DF.configmode) then
		overlayTexture:SetTexCoord(0, deltax, 0, deltay)
		frameText:SetText("888 m")
		overlay:Show()
		return
	end
	
	-- cherche la cible dans le roster
	local cible=DF:gps_findPlayer(UnitName("playertarget"))
	if not cible then
		overlay:Hide()
		return
	end
		
	posX, posY = GetPlayerMapPosition("player")
	TposX, TposY = GetPlayerMapPosition(cible)
		
	if (TposX==0 and TposY==0) or (posX==0 and posY==0) then
		overlay:Hide()
		return
	end

	distance = (math.sqrt( (TposX-posX)^2 + (TposY-posY)^2 ))*1000

	angle = (math.atan2(posY - TposY, TposX-posX) * 180 / math.pi)+278
	playerfacing = GetPlayerFacing()* 180 / math.pi
	
	finalangle=(angle-playerfacing)%360
	
	numero = math.floor(finalangle/3.3333)
	ligne = math.floor (numero / 9)
	colonne = numero -(ligne*9)

	overlayTexture:SetTexCoord(colonne*deltax, (colonne*deltax)+deltax, ligne*deltay, (ligne*deltay)+deltay)
	frameText:SetText(DF:doubleNumbers(distance).." m")
	
	overlay:Show()
	
end

function DF:gps_findPlayer(nom)

	local nb = GetNumRaidMembers()
	for i=1,nb do
		local name = GetRaidRosterInfo(i)
		if (name == nom) then
			return "raid"..tostring(i)
		end
	end

	nb = GetNumPartyMembers()
	for i=1,nb do
		name = UnitName("party"..tostring(i))
		if (name == nom) then
			return "party"..tostring(i)
		end
	end

	return nil
	
end


-- enable/disable déplacement du cadre avec la souris
function DF:gps_toogle_lock(flag)
	
	frame:EnableMouse(flag)
	
end

function DF:gps_reinit()
	DF:init_gps_frame()	
end