﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.0.0 - spells
-- Meranannon - Discordia - Vol'jin (EU)
-- rev 1
----------------------------------------------------------------------------------------------------

local DF = DF_namespace

local current=1
local nbSpells = 0
local nbIds=0

-- initialisation liste
function DF:init_spells_list()
	
	nbSpells = getn(DF_config.spells)
	
	for i = 1,nbSpells do
		
		-- init variables
		DF_config.spells[i].abiOldTimeLeft=0
		DF_config.spells[i].abiStack=0
		DF_config.spells[i].abiTimeLeft=0
		DF_config.spells[i].abiDuration=0
		DF_config.spells[i].abiAlphaPulse=0
		DF_config.spells[i].abiCD=0
		DF_config.spells[i].abiStart=0
		DF_config.spells[i].abiUpTime=0
		
		if not DF_config.spells[i].strongcheck then
			DF_config.spells[i].strongcheck=false
		end
		
		-- sauve les nom des debuffs
		if not DF_config.spells[i].names then
			DF_config.spells[i].names={}
		else
			DF_config.spells[i].names=table.wipe(DF_config.spells[i].names)
			DF_config.spells[i].names={}
		end

		if not DF_config.spells[i].ids then
			DF_config.spells[i].ids={}
		else
			DF_config.spells[i].ids=table.wipe(DF_config.spells[i].ids)
			DF_config.spells[i].ids={}
		end
		
		temp=DF:explode ( ";", DF_config.spells[i].spellIDs )
		nbIds = getn(temp)

		for ide = 1,nbIds do
			DF_config.spells[i].ids[ide]=tonumber(temp[ide])
			if DF_config.spells[i].ids[ide] then
				DF_config.spells[i].names[ide] = GetSpellInfo(DF_config.spells[i].ids[ide])
			else
				DF_config.spells[i].names[ide] = nil
			end
		end
		
		DF_config.spells[i].abiSpelltext=DF_config.spells[i].names[1]
		
	end
	
end

-- gestion de l'animation
function DF:spells_update(elapsed)
	
	local it
	nbSpells = getn(DF_config.spells)
	
	-- scan les debuffs suivants
	DF:spells_scan()

	-- anime
	for it = 1,nbSpells do

		-- màj temps restant
		if DF_config.spells[it].abiTimeLeft>0 then
			DF_config.spells[it].abiTimeLeft=DF_config.spells[it].abiTimeLeft-elapsed
			if DF_config.spells[it].abiTimeLeft<0 then
				DF_config.spells[it].abiTimeLeft=0
			end
		end

	end
	
end

function DF:spells_scan()
	nbSpells = getn(DF_config.spells)	
	for num = 1,nbSpells do
			
		if DF:spell_check(num) then
			DF:spells_activate(num)
		else
			DF:spells_desactivate(num)
		end
	
	end
	
end

function DF:spell_exist(idcheck,namecheck,cible,filtre,strong)
	
	local final=nil
	local index=1
	
	while true do 
		
		local name, _, _, _, debuffType, _, _, unitCaster, _, _, spellId = UnitAura(cible, index, filtre) 
		-- plus de nom la liste est finie
		if not name then break end

		-- l'id correspond on tient le sort
		if spellId==idcheck then
			final=index
			break
		end

		-- vérification avec juste le nom du debuff, vérification simple qui peut confondre certain debuff entre eux (portant le même nom, mais pas la même ID)
		if name==namecheck and not strong then
			final=index
			break
		end
		
		index=index+1
		
	end

	return final
	
end

function DF:spell_check(num)

	local currentForm = DF:currentForm()	

	local filter = nil
	local sType = nil
	local perso = nil
	local combo = nil
	local form = DF_config.spells[num].form
	local nbIds=0
	local debuffName = nil
	local thatOk = false
	local difference=0
	
	local name=nil
	local count=nil
	local duration=nil
	local timeLeft=nil
	local caster=nil
	local isPerso=false
	
	local isActive = false
	
	-- fin si pas de cible
	if not DF:form_goofForm(form,currentForm) then return false end

	-- récupére infos du spell
	sType = DF_config.spells[num].sType
	perso = DF_config.spells[num].perso
	combo = DF_config.spells[num].combo	

	nbIds = getn(DF_config.spells[num].ids)
		
	if (combo) then DF:combo_set(0) end		

	if (perso) then
		filter="HARMFUL|PLAYER"
	else
		filter="HARMFUL"
	end

	if sType=="Debuff" then

		if not UnitGUID("playertarget") then return false end
			
		-- c'est un debuff
		thatOk = false

		-- cherche les debuffs
		for ide = 1,nbIds do
			
			-- nom du debuff
			debuffName = DF_config.spells[num].names[ide]

			if (debuffName) then
				
				local index = DF:spell_exist(DF_config.spells[num].ids[ide],debuffName,"playertarget",filter,DF_config.spells[num].strongcheck)
			
				-- si présent
				if (index) then
					
						thatOk = true
				
						-- sauve les infos		
						name, _, _, count, _, duration, timeLeft, caster, _, _, _ = UnitAura("playertarget", index, filter) 
															
				end
				
			end
			
		end

		-- si c'est ok
		if thatOk then
			
			-- indique si le debuff apparatien au joueur
			if (caster=="player") then
				isPerso=true
			else
				isPerso=false
			end
		
			-- si c'est un sort non personnel ou personnel et qui vient du joueur
			if (not perso or (perso and isPerso)) then
				
				-- indique spell active
				isActive=true
				DF_config.spells[num].abiSpelltext=name
				
				if DF_config.spells[num].abiStart==0 then
					DF_config.spells[num].abiStart=DF.currentTime
				end
				
				-- si on dispose d'une fin de debuff, on retranche l'heure courante pour obtenir le temps restant
				if (timeLeft ~= nil) then
					
					timeLeft = timeLeft - DF.currentTime;
					
					if (timeLeft<0) then
						timeLeft=0;
					end
					
					-- *** Gestion de la glyphe Lambeau (shred) ***
					difference = timeLeft - DF_config.spells[num].abiOldTimeLeft;
					DF_config.spells[num].abiOldTimeLeft = timeLeft;
					
					-- si la différence de temps depuis le dernier cycle est >0, le temps du debuff a augmenté
					if (difference>0 and isPerso) then
					
						-- fait pulser l'icone								
						DF:icons_pulse(num)
						
						-- si la différence est supérieure a 3 secondes (2 secondes plus 1 seconde pour le lag),
						-- c'est une application ou un rafraichissement du debuff
						-- sinon c'est une augmentation de la durée du debuff par lambeau (+2 sec)
						-- !!! pê un probléme si rafraichissement avant 2 sec aprés application !!!
						if (difference>3) then
							-- application ou rafraichissement
							DF_config.spells[num].abiStack = 0;
						else
							-- lambeau
							DF_config.spells[num].abiStack = DF_config.spells[num].abiStack + 1;
						end
					
					end
					
				else
					
					timeLeft=0;
					
				end
				
				-- sauve données dans le tableau
				if (count>0) then
					DF_config.spells[num].abiStack=count; 
				end
				DF_config.spells[num].abiTimeLeft = timeLeft; 
				DF_config.spells[num].abiDuration = duration;
					
				-- abilités a combo pour notre barre? et count valide?
				if (combo) then
					DF:combo_set(count)
				end							

			end
		
		end
	
	elseif sType=="Buff" then

		-- buff
		thatOk = false
			
		-- cherche le(s) buff(s)
		for ide = 1,nbIds do
			
			debuffName = DF_config.spells[num].names[ide]
		
			if (debuffName) then
				
				local index = DF:spell_exist(DF_config.spells[num].ids[ide],debuffName,"player","HELPFUL|PLAYER",DF_config.spells[num].strongcheck)

				-- si présent
				if (index) then
				
						thatOk = true
				
						-- sauve les infos		
						name, _, _, count, _, duration, timeLeft, caster, _, _, _ = UnitAura("player", index, "HELPFUL|PLAYER") 
				end
				
			end
			
		end	

		-- concordance avec le buff a scanner?
		if thatOk then

			isActive=true
			DF_config.spells[num].abiSpelltext=name

			if DF_config.spells[num].abiStart==0 then
				DF_config.spells[num].abiStart=DF.currentTime
			end
			
			-- si on dispose d'une fin de buff, on retranche l'heure courante pour obtenir le temps restant
			if (timeLeft ~= nil) then
				timeLeft = timeLeft - DF.currentTime
				if (timeLeft<0) then
					timeLeft=0;
				end

				difference = timeLeft - DF_config.spells[num].abiOldTimeLeft
				DF_config.spells[num].abiOldTimeLeft = timeLeft
				
				if (difference>0) then
					DF:icons_pulse(num)
				end
				
			else
				timeLeft=0
			end
			
			DF_config.spells[num].abiTimeLeft = timeLeft;
			DF_config.spells[num].abiDuration = duration
			DF_config.spells[num].abiStack = count

		end			
		
	else
		
		return false
		
	end
	
	return isActive

end

function DF:spells_activate(num)
	DF:icons_activate(num)
end

function DF:spells_desactivate(num)
	nbSpells = getn(DF_config.spells)
	if num then
		DF_config.spells[num].abiTimeLeft=0
		DF_config.spells[num].abiStack=0


		if not DF_config.spells[num].abiUptime then
			DF_config.spells[num].abiUptime=0
		else
			if DF_config.spells[num].abiStart~=0 then
				DF_config.spells[num].abiUptime=DF_config.spells[num].abiUptime+(DF.currentTime-DF_config.spells[num].abiStart)
			end	
		end
		DF_config.spells[num].abiStart=0
		DF:icons_desactivate(num)
	else
		
		for num = 1,nbSpells do
			DF_config.spells[num].abiTimeLeft=0
			DF_config.spells[num].abiStack=0
			DF_config.spells[num].abiStart=0
			DF_config.spells[num].abiUptime=0
			DF:icons_desactivate(num)		
		end
	end
end

function DF:spells_list_reinit()
	DF:init_spells_list()
	DF:icons_reinit()
	DF:timerbar_reinit()
end

function DF:spells_uptime()
	
	local timeRef = DF:combatTime()
	nbSpells = getn(DF_config.spells)
	
	DEFAULT_CHAT_FRAME:AddMessage("Combat: "..DF:numbers(timeRef).." sec.")
	for num = 1,nbSpells do
		
		if DF_config.spells[num].getUptime and timeRef>0 then
			local percent = (DF_config.spells[num].abiUptime/timeRef)*100
			DEFAULT_CHAT_FRAME:AddMessage(tostring(num)..") "..DF_config.spells[num].names[1]..": "..DF:numbers(DF_config.spells[num].abiUptime).." sec. ("..DF:doubleNumbers(percent).."%)")
		end
		
	end
end