﻿----------------------------------------------------------------------------------------------------
-- DroodFocus 4.0.0 - timelines
-- Meranannon - Discordia - Vol'jin (EU)
-- rev 1
----------------------------------------------------------------------------------------------------

local DF = DF_namespace

local frames1={
	{frame=nil,texture=nil,temps=0},
	{frame=nil,texture=nil,temps=0},
	{frame=nil,texture=nil,temps=0},
	{frame=nil,texture=nil,temps=0},
}

local frames2={
	{frame=nil,texture=nil,temps=0},
	{frame=nil,texture=nil,temps=0},
	{frame=nil,texture=nil,temps=0},
	{frame=nil,texture=nil,temps=0},
}

-- initialisation frames
function DF:init_timelines_frame()
	
	for i = 1,4 do
	
		if not frames1[i].frame then
		
			-- cadre principal
			frames1[i].frame = CreateFrame("FRAME","DF_TIMELINE1_FRAME"..i,DF.anchor[3].frame)
			frames1[i].texture =frames1[i].frame:CreateTexture(nil,"BACKGROUND")

			frames2[i].frame = CreateFrame("FRAME","DF_TIMELINE2_FRAME"..i,DF.anchor[4].frame)
			frames2[i].texture =frames2[i].frame:CreateTexture(nil,"BACKGROUND")
		
		end

		local level = DF_config.timerbar.level*10
	
		-- paramétres cadre principal
		frames1[i].frame:SetMovable(false)
		frames1[i].frame:EnableMouse(false)		
		frames1[i].frame:SetWidth(DF_config.timelines.width)
		frames1[i].frame:SetHeight(32)
		frames1[i].frame:SetPoint("LEFT", DF.anchor[3].frame, "LEFT", 0, 0)
		frames1[i].frame:SetFrameLevel(level+3)
		frames1[i].frame:SetAlpha(DF_config.timelines.activeAlpha)
	
		frames1[i].texture:SetTexCoord(0, 1, 0, 1)
		frames1[i].texture:SetAllPoints(frames1[i].frame)
		frames1[i].texture:SetTexture(DF_config.timelines.color.r, DF_config.timelines.color.v, DF_config.timelines.color.b,DF_config.timelines.color.a)
		frames1[i].texture:SetBlendMode("BLEND")
	
		frames1[i].temps=(DF_config.timerbar.timeline/4)*(i-1)
	
		-- paramétres cadre principal
		frames2[i].frame:SetMovable(false)
		frames2[i].frame:EnableMouse(false)		
		frames2[i].frame:SetWidth(DF_config.timelines.width)
		frames2[i].frame:SetHeight(32)
		frames2[i].frame:SetPoint("LEFT", DF.anchor[4].frame, "LEFT", 0, 0)
		frames2[i].frame:SetFrameLevel(level+3)
		frames2[i].frame:SetAlpha(DF_config.timelines.activeAlpha)
	
		frames2[i].texture:SetTexCoord(0, 1, 0, 1)
		frames2[i].texture:SetAllPoints(frames2[i].frame)
		frames2[i].texture:SetTexture(DF_config.timelines.color.r, DF_config.timelines.color.v, DF_config.timelines.color.b,DF_config.timelines.color.a)
		frames2[i].texture:SetBlendMode("BLEND")
	
		frames2[i].temps=(DF_config.timerbar.timeline/4)*(i-1)
	
	end
	
	if not DF_config.timelines.enable or not DF_config.timerbar.enable then 
		for i = 1,4 do
			frames1[i].frame:Hide()
			frames2[i].frame:Hide()
		end
	else
		for i = 1,4 do
			frames1[i].frame:Show()
			frames2[i].frame:Show()
		end		
	end
	
end

-- gestion de l'animation
function DF:timelines_update(elapsed)
	
	if not DF_config.timelines.enable or not DF_config.timerbar.enable then return end
	local largeur = (DF_config.timerbar.width-DF_config.timerbar.borderSize*2)-1
		
	for i = 1,4 do

		value = (largeur/DF_config.timerbar.timeline)*frames1[i].temps

		frames1[i].frame:ClearAllPoints()
		frames1[i].frame:SetPoint("TOPLEFT", DF.anchor[3].frame, "TOPLEFT", 8+DF_config.timerbar.borderSize+value, -8-DF_config.timerbar.borderSize)

		frames2[i].frame:ClearAllPoints()
		frames2[i].frame:SetPoint("TOPLEFT", DF.anchor[4].frame, "TOPLEFT", 8+DF_config.timerbar.borderSize+value, -8-DF_config.timerbar.borderSize)
		
		frames1[i].temps=frames1[i].temps-elapsed
		if frames1[i].temps<0 then
			frames1[i].temps=DF_config.timerbar.timeline
		end
		
	end
	
end

function  DF:timelines_setheight(groupe,value)
	for i = 1,4 do
		if groupe==1 then
			frames1[i].frame:SetHeight(value-DF_config.timerbar.borderSize*2)
		elseif groupe==2 then
			frames2[i].frame:SetHeight(value-DF_config.timerbar.borderSize*2)
		end
	end
end
